%define major 1
%define libname %mklibname java-atk-wrapper %{major}
%define develname %mklibname java-atk-wrapper -d

Name:       java-atk-wrapper
Version:    0.32.90
Release:    1
Summary:    Java ATK Wrapper
Group:      Development/Java
License:    LGPLv2+
URL:        http://git.gnome.org/browse/java-atk-wrapper
Source0:    http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.32/%{name}-%{version}.tar.xz
# explain how to use java-atk-wrapper with different java runtimes
Source1:    README.urpmi

BuildRequires:  java-devel

BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(atk-bridge-2.0)
BuildRequires:  pkgconfig(atspi-2)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  x11-tools

Requires:   java
Requires:   x11-tools

Requires:   %{libname} = %{EVRD}

%description
Java ATK Wrapper is a implementation of ATK by using JNI technic. It
converts Java Swing events into ATK events, and send these events to
ATK-Bridge.

JAW is part of the Bonobo deprecation project. It will replaces the
former java-access-bridge.
By talking to ATK-Bridge, it keeps itself from being affected by the
change of underlying communication mechanism.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains libraries used by %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{EVRD}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -I/usr/include/atk-1.0 -I/usr/include/glib-2.0"
%configure2_5x
%make
cp %{SOURCE1} .

%install
%makeinstall_std

%files
%doc AUTHORS COPYING.LESSER NEWS README README.urpmi
%{_prefix}/lib/jvm/*/

%files -n %{libname}
%{_libdir}/libatk-wrapper.so.%{major}*

%files -n %{develname}
%{_libdir}/libatk-wrapper.so

%changelog

* Sat Mar 14 2015 Tigro <ashejn@yandex-team.ru> 0.32.90-1
- (d9d09bd) fix typo


